import { createStore } from "vuex";
import getters from "./getters";

// https://webpack.js.org/guides/dependency-management/#requirecontext
const modulesFiles = import.meta.globEager("./modules/*.js");

console.log(modulesFiles, "modulesFiles");

// you do not need `import app from './modules/app'`
// it will auto require all vuex module from modules file
const modules = Object.keys(modulesFiles).reduce((modules, modulePath) => {
  // set './app.js' => 'app'
  const moduleName = modulePath.replace(/^\.\/(.*)\.\w+$/, "$1");
  console.log(moduleName);
  const value = modulesFiles[modulePath];
  modules[moduleName] = value.default;
  return modules;
}, {});

console.log(modules);

const store = createStore({
  modules,
  getters,
});

export default store;
